package com.winhc.repal.cloud.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @description WinCoinOrderForm VO对象
 * @author Generator
 * @date 2020-09-09
 */
@Data
@Accessors(chain = true)
@ApiModel(value="WinCoinOrderForm VO对象", description="订单表")
public class WinCoinOrderFormVO {

    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "商品代码")
    private String productCode;

    @ApiModelProperty(value = "商品数量")
    private Integer productCount;

    @ApiModelProperty(value = "手机号")
    private String mobileNo;

    @ApiModelProperty(value = "交易金额,BigDecimal")
    private BigDecimal transAmt;

    @ApiModelProperty(value = "订单内容")
    private String orderContent;

    @ApiModelProperty(value = "支付方式0赢币1支付宝2微信3兑换券4余额")
    private String payMode;

    @ApiModelProperty(value = "下单时间")
    private Date orderTime;

    @ApiModelProperty(value = "当前距离下单的服务器时间，秒")
    private Long intervalTime;

    @ApiModelProperty(value = "付款时间")
    private Date payTime;

    @ApiModelProperty(value = "订单完成(0), 待支付(1), 支付成功(2),   需退款(R), 已删除(D).已退款(G),已关闭(C)")
    private String status;

    @ApiModelProperty(value = "外部ID")
    private String foreignId;

    @ApiModelProperty(value = "")
    private BigDecimal payAmt;

    @ApiModelProperty(value = "0:未开票 1:已开票 2：无需开票")
    private String invoiceStatus;

    @ApiModelProperty(value = "")
    private Long invoiceId;

    @ApiModelProperty(value = "订单类型 0VIP支付订单（购买VIP） 1提现订单 2报告订单 3企业套餐订单 4异地尽调 5商城-实物 6商城-电子商品 7 商城-vip 8商城-兑换券")
    private String orderType;

    @ApiModelProperty(value = "订单发货JSON")
    private String goodsJson;

    @ApiModelProperty(value = "提现订单账户类型 '0' 支付宝 ，'1' 微信")
    private String accountType;

    @ApiModelProperty(value = "促销代码")
    private String promotionCode;

    @ApiModelProperty(value = "主图")
    private String mainPicUrl;

    @ApiModelProperty(value = "商品快照JSON")
    private String productSnapshot;

    @ApiModelProperty(value = "兑换券码")
    private String voucherCode;

    @ApiModelProperty(value = "地址详情")
    private String address;

    @ApiModelProperty(value = "邮件地址")
    private String email;

    @ApiModelProperty(value = "虚拟商品下单描述")
    private String orderDesc;

    @ApiModelProperty(value = "商城商品分类name")
    private String categoryName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "订单原始金额,BigDecimal")
    private BigDecimal oriAmt;

    @ApiModelProperty(value = "优惠金额,BigDecimal")
    private BigDecimal discountAmt;

    @ApiModelProperty(value = "优惠类型：0兑换券；1VIP")
    private String discountKind;

    @ApiModelProperty(value = "优惠券类型：0报告兑换券；1满减券；2通用券；3打折券")
    private String voucherKind;

    @ApiModelProperty(value = "抵扣金")
    private BigDecimal deductionAmt;

    @ApiModelProperty(value = "内部业务id")
    private String internalBusinessId;

    @ApiModelProperty(value = "规格")
    private String specification;

    @ApiModelProperty(value = "业务员用户id")
    private Long businessUserId;




}
