package com.winhc.repal.controller;

import com.winhc.common.base.BeanResponse;
import com.winhc.common.enums.CodeMsg;
import com.winhc.repal.entity.RepalVip;
import com.winhc.repal.model.vo.RepalVipVO;
import com.winhc.repal.service.RepalVipService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Aaron
 * @date 2022/6/7 15:54
 * @description
 */
@Api(tags = "账号套餐信息")
@RestController
@RequestMapping(value = "/repalVip")
public class RepalVipController {
    @Autowired
    private RepalVipService repalVipService;

    @ApiOperation("查询当前账号所属组织的套餐信息")
    @GetMapping("/info")
    public BeanResponse<RepalVipVO> queryRepalVip(){
        return BeanResponse.success(CodeMsg.SUCCESS,repalVipService.queryRepalVip());
    }
}
