package com.winhc.repal.model.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @Description: RepalBillPageVO
 * @Author: xda
 * @Date: 2022/4/8 11:13
 */
@Data
@ApiModel("账款分页对象")
public class RepalManageBillPageBO {
    @ApiModelProperty(value = "账款id")
    private Long repalBillId;

    @ApiModelProperty(value = "账本id")
    private Long repalBookId;

    @ApiModelProperty(value = "账本名称")
    private String repalBookName;

    @ApiModelProperty(value = "账款逾期状态，1进行中，2三天后到期，3已逾期.4已结清。5已终止")
    private Integer repalBillStatus;

    @ApiModelProperty("到期日期,字符串,格式yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "账款总金额")
    private BigDecimal totalMoney;

    @ApiModelProperty(value = "逾期/即将逾期金额")
    private BigDecimal receivable;
}
