package com.winhc.repal.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @Description: UpdateRepalBillDTO
 * @Author: xda
 * @Date: 2022/4/15 16:10
 */
@Data
@ApiModel("修改账款信息")
public class UpdateRepalBillDTO {

    @ApiModelProperty(value = "账款id")
    private Long repalBillId;

    @ApiModelProperty("负责人idList")
    private List<Long> responsiblePersonIdList;

    @ApiModelProperty("到期日期,字符串,格式yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty(value = "账款总金额string, totalMoney")
    private BigDecimal totalMoney;

    @ApiModelProperty(value = "账款阶段,1未起诉，2已起诉，3已申请执行，4终结本次执行")
    private Integer repalBillStage;

    @ApiModelProperty(value = "账款备注")
    private String billRemark;

    @ApiModelProperty(value = "合同name")
    private String contractName;

    @ApiModelProperty(value = "合同到期日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate contractEndDate;

    @ApiModelProperty(value = "合同list")
    private List<String> contractUrlList;

}
