package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalChangeRecord;
import com.winhc.repal.model.dto.ReturnedEditDTO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;


/**
 * @description RepalChangeRecord 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalChangeRecordService extends IService<RepalChangeRecord> {

    /**
     * 获取首页变动记录
     * @param userId userId
     * @param repalBookId repalBookId
     * @param start start
     * @param end end
     * @return java.util.List<com.winhc.repal.entity.RepalChangeRecord>
     * @author xda
     * @date 2022/5/9 16:33
     */
    List<RepalChangeRecord> getHomeRecord(Long userId,
                                          Long repalBookId,
                                          LocalDate start,
                                          LocalDate end);


    /**
     * 修改回款
     * @param dto dto
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/6/8 15:43
     */
    Boolean updateReturned(ReturnedEditDTO dto);


    /**
     * 删除回款
     * @param repalBillId repalBillId 
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/6/8 15:49 
     */
    Boolean delReturnedByBillId(Long repalBillId);

    /**
     * 删除账本回款
     * @param repalBookId repalBookId
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/6/8 16:03
     */
    Boolean delReturnedByBookId(Long repalBookId);

    /**
     * 删除回款记录
     * @param repalChangeRecordId repalChangeRecordId
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/6/8 16:36
     */
    Boolean delReturnedById(Long repalChangeRecordId);


}
